### Method

# Gtk TreeStoreinsert

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_store_insert (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter,
      GtkTreeIter* parent,
      int position
    )

#### Description [src]

Creates a new row at `position`.

If parent is non-`NULL`, then the row will be made a child of `parent`. Otherwise, the row will be created at the toplevel.

If `position` is `-1` or is larger than the number of rows at that level, then the new row will be inserted to the end of the list.

The `iter` parameter will be changed to point to this new row. The row will be empty after this function is called. To fill in values, you need to call `gtk_tree_store_set()` or gtk_tree_store_set_value().

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  An unset `GtkTreeIter` to set to the new row.

  The argument will be set by the function.
  The data is owned by the instance.

`parent`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`position`

  Type: `int`

  Position to insert the new row, or -1 for last.